Can not install Computer Protection by GPO

Scholar

Can not install Computer Protection by GPO

Hi, I tried to make a .msi with Computer Protection, following this :https://help.f-secure.com/product.html#business/psb-portal/latest/en/task_1D20317CD8164D828D0916C069... but it doesn't work, I download the FsMsiTool but when I try to install, nothing happen, looks like its want to star the installation but just appear for a second and disappear some kind of command prompt windows. I need to deploy on 120 desktops via Active Directory, somebody know how can I do it with Orca? plz Help. 

7 REPLIES 7
F-Secure

Re: Can not install Computer Protection by GPO

Hi,

 

Do you have .Net 4.7.2 installed on these machines? Computer Protection offline MSI does not install .Net 4.7.2 and it needs to be preinstalled. You can find some instructions here: https://community.f-secure.com/t5/Common-topics/How-do-I-install-NET-Framework-4/ta-p/114859

 

You can also check your windows events log after you try installing and you will find there error reason why installation failed.

 

Another way to investigate is to enable debug logging for GPO msi installation and analyze msi log.

 

If you still cannot figure what is wrong, you could gather logs using https://download.f-secure.com/support/tools/fsdiag/fsdiag_standalone.exe and send it to me as private message

Superuser

Re: Can not install Computer Protection by GPO

Dear Fedool,

 

> Computer Protection offline MSI does not install .Net 4.7.2 and it needs to be preinstalled.

 

I thought PSB CP 19.2 has been revoced or put on hold until the .NET situation can be fully assessed and the "dotnetless" CP 19.1 is now back in effect? Does that restriction apply only to the channel upgrade venue, while the manually downloadable install kits and webstubs are still on CP version 19.2?

 

Thanks in advance, Your Sincerely: Tamas Feher, Hungary.

 

 

F-Secure

Re: Can not install Computer Protection by GPO

All new installations are 19.2 - only channel upgrade from WKS product is installing 19.1.

We are working now on bringing 19.3 even if .Net cannot be installed or failed to install. Idea is to show special message if .Net GUI cannot be opened and explain how to install .Net manually.

And if someone does not need local UI (like in most of remotely controlled embedded systems) - they would not even need to bother installing it.

Scholar

Re: Can not install Computer Protection by GPO

Hi, I followed your steps, and finally I could make the .MSI but after the installation ask for the subscription key , how can put inside the MSI the subscription key? 

 

thanks. 

F-Secure

Re: Can not install Computer Protection by GPO

Hi,

Could you please point out which step exactly didn't work for you from the instruction you referenced?
Highlighted
Scholar

Re: Can not install Computer Protection by GPO

Hi, I downloaded the FsMsiTool.exe,  I runed it after that I open the command prompt and follow the steps from here https://help.f-secure.com/product.html#business/psb-portal/latest/en/task_1D20317CD8164D828D0916C069...

 

but.... here is the result  (image attached)SINTAX ERROR.jpg

F-Secure

Re: Can not install Computer Protection by GPO

You need to remove "<" and ">" characters  - they are in examples just to show that you are inserting your text there. You should use Windows path format (with "\", not "/" and you can also put long paths into "" to allow spaces inside).

For instance:

 

FsMsiTool --inmsi "c:\users\Carlos\Desktop\Uni2.msi" --name VOUCHER --value your-key-code --outmst "c:\users\Carlos\Desktop\uni2.mst"